export function applyPlayerImpulse(player, vector) {
	if (!player?.isValid()) return;
	const { x, y, z } = vector;
	const horizontal = Math.sqrt(x * x + z * z) * 2.0;
	const vertical = y < 0.0 ? 0.5 * y : y;
	player.applyKnockback(x, z, -1*horizontal, vertical);
}